summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-accessibility/gespeaker/gespeaker-0.8.6-r2.ebuild2
-rw-r--r--app-admin/flexlm/flexlm-9.5-r2.ebuild2
-rw-r--r--app-shells/schily-tools/schily-tools-2017.09.25.ebuild19
-rw-r--r--app-shells/schily-tools/schily-tools-2018.05.02.ebuild28
-rw-r--r--app-text/lesspipe/lesspipe-1.83-r1.ebuild15
-rw-r--r--app-text/lesspipe/lesspipe-1.84_alpha20180414-r1.ebuild19
-rw-r--r--app-text/lesspipe/lesspipe-99999999.ebuild19
-rw-r--r--dev-libs/weston/metadata.xml1
-rw-r--r--eclass/ChangeLog3
-rw-r--r--eclass/required-use-warn.eclass109
-rw-r--r--games-puzzle/fish-fillets/fish-fillets-1.0.1-r1.ebuild2
-rw-r--r--media-tv/sundtek-tv/sundtek-tv-180507.101237.ebuild2
-rw-r--r--net-dialup/martian-modem/martian-modem-20100123-r2.ebuild2
-rw-r--r--profiles/package.mask18
-rw-r--r--profiles/use.desc2
-rw-r--r--profiles/use.local.desc1
-rw-r--r--profiles/use.mask3
17 files changed, 186 insertions, 61 deletions
diff --git a/app-accessibility/gespeaker/gespeaker-0.8.6-r2.ebuild b/app-accessibility/gespeaker/gespeaker-0.8.6-r2.ebuild
index 831b4791..446a0a38 100644
--- a/app-accessibility/gespeaker/gespeaker-0.8.6-r2.ebuild
+++ b/app-accessibility/gespeaker/gespeaker-0.8.6-r2.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/muflone/gespeaker/releases/download/${PV}/${P}.tar.g
LICENSE="GPL-2+"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~x86-fbsd"
PLOCALES="ar bg de en es fo fr it pl tr vi"
IUSE=
for i in ${PLOCALES}; do
diff --git a/app-admin/flexlm/flexlm-9.5-r2.ebuild b/app-admin/flexlm/flexlm-9.5-r2.ebuild
index 839233f4..da3b6a83 100644
--- a/app-admin/flexlm/flexlm-9.5-r2.ebuild
+++ b/app-admin/flexlm/flexlm-9.5-r2.ebuild
@@ -20,7 +20,7 @@ SRC_URI="doc? ( http://www.ni.com/pdf/manuals/flexusr.pdf )
LICENSE="all-rights-reserved GPL-2"
SLOT="0"
-KEYWORDS="-* ~amd64 ~x86"
+KEYWORDS="~amd64 ~x86"
IUSE="doc"
QA_PREBUILT="
diff --git a/app-shells/schily-tools/schily-tools-2017.09.25.ebuild b/app-shells/schily-tools/schily-tools-2017.09.25.ebuild
index d09ebd73..09a41596 100644
--- a/app-shells/schily-tools/schily-tools-2017.09.25.ebuild
+++ b/app-shells/schily-tools/schily-tools-2017.09.25.ebuild
@@ -3,7 +3,7 @@
EAPI=7
RESTRICT="mirror"
-inherit flag-o-matic gnuconfig toolchain-funcs
+inherit flag-o-matic gnuconfig required-use-warn toolchain-funcs
MY_PV=${PV//./-}
MY_P="schily-${MY_PV}"
@@ -11,13 +11,11 @@ MY_P_TAR="${MY_P}.tar.bz2"
S=${WORKDIR}/${MY_P}
SRC_URI="mirror://sourceforge/schilytools/${MY_P}.tar.bz2"
-#mirror://sourceforge/schilytools/${MY_P}.patch"
DESCRIPTION="Many tools from Joerg Schilling, including a POSIX compliant Bourne Shell"
HOMEPAGE="https://sourceforge.net/projects/schilytools/"
-KEYWORDS="~amd64 ~x86"
-IUSE="acl caps doc static-libs system-libschily system-star xattr"
-
-#PATCHES=(-p0 "$DISTDIR"/${MY_P}.patch)
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="acl caps doc system-libschily system-star xattr"
+REQUIRED_USE_WARN="amd64-fbsd? ( !xattr )"
add_iuse_expand() {
local i j
@@ -43,7 +41,6 @@ add_iuse_expand schilytools \
COMMON="system-libschily? ( app-cdr/cdrtools )
!system-libschily? ( !app-cdr/cdrtools )
schilytools_match? (
- system-star? ( app-arch/star )
!system-star? ( !app-arch/star )
)
schilytools_calc? (
@@ -69,12 +66,16 @@ schilytools_p? (
schilytools_translit? ( !dev-perl/Lingua-Translit )
acl? ( virtual/acl )
caps? ( sys-libs/libcap )
-xattr? ( sys-apps/attr )"
+xattr? ( !amd64-fbsd? ( sys-apps/attr ) )"
DEPEND="${COMMON}"
RDEPEND="${COMMON}"
LICENSE="GPL-2 LGPL-2.1 CDDL-Schily"
SLOT="0"
+pkg_pretend() {
+ required-use-warn
+}
+
# Lot of this code is taken from app-cdr/cdrtools
cdrtools_os() {
@@ -243,7 +244,7 @@ ac_cv_sizeof() {
src_configure() {
use acl || export ac_cv_header_sys_acl_h="no"
use caps || export ac_cv_lib_cap_cap_get_proc="no"
- use xattr || export ac_cv_header_attr_xattr_h="no"
+ use xattr && ! use amd64-bsd || export ac_cv_header_attr_xattr_h="no"
# skip obsolete configure script
if tc-is-cross-compiler ; then
diff --git a/app-shells/schily-tools/schily-tools-2018.05.02.ebuild b/app-shells/schily-tools/schily-tools-2018.05.02.ebuild
index b52de00e..ca2322b9 100644
--- a/app-shells/schily-tools/schily-tools-2018.05.02.ebuild
+++ b/app-shells/schily-tools/schily-tools-2018.05.02.ebuild
@@ -3,7 +3,7 @@
EAPI=7
RESTRICT="mirror"
-inherit flag-o-matic gnuconfig toolchain-funcs
+inherit flag-o-matic gnuconfig required-use-warn toolchain-funcs
MY_PV=${PV//./-}
MY_P="schily-${MY_PV}"
@@ -11,14 +11,12 @@ MY_P_TAR="${MY_P}.tar.bz2"
S=${WORKDIR}/${MY_P}
SRC_URI="mirror://sourceforge/schilytools/${MY_P}.tar.bz2"
-#mirror://sourceforge/schilytools/${MY_P}.patch"
DESCRIPTION="Many tools from Joerg Schilling, including a POSIX compliant Bourne Shell"
HOMEPAGE="https://sourceforge.net/projects/schilytools/"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="acl caps doc system-libschily system-star xattr"
-REQUIRED_USE="!system-libschily"
-
-#PATCHES=(-p0 "$DISTDIR"/${MY_P}.patch)
+REQUIRED_USE_WARN="!system-libschily
+ amd64-fbsd? ( !xattr )"
add_iuse_expand() {
local i j
@@ -43,8 +41,12 @@ add_iuse_expand schilytools \
COMMON="system-libschily? ( app-cdr/cdrtools )
!system-libschily? ( !app-cdr/cdrtools[-schily-tools(-)] )
+!system-libschily? (
+ !renameschily_libschily? ( !sys-apps/man )
+)"
+COMMON="!app-cdr/cdrtools[-schily-tools(-)]
+!renameschily_libschily? ( !sys-apps/man )""
schilytools_match? (
- system-star? ( app-arch/star )
!system-star? ( !app-arch/star )
)
schilytools_calc? (
@@ -64,21 +66,22 @@ schilytools_bosh? (
schilytools_man2html? (
!renameschily_man2html? ( !sys-apps/man )
)
-!system-libschily? (
- !renameschily_libschily? ( !sys-apps/man )
-)
schilytools_p? (
!renameschily_p? ( !dev-util/wiggle )
)
schilytools_translit? ( !dev-perl/Lingua-Translit )
acl? ( virtual/acl )
caps? ( sys-libs/libcap )
-xattr? ( sys-apps/attr )"
+!amd64-fbsd? ( xattr? ( sys-apps/attr ) )"
DEPEND="${COMMON}"
RDEPEND="${COMMON}"
LICENSE="GPL-2 LGPL-2.1 CDDL-Schily"
SLOT="0"
+pkg_pretend() {
+ required-use-warn
+}
+
# Lot of this code is taken from app-cdr/cdrtools
cdrtools_os() {
@@ -184,7 +187,8 @@ src_prepare() {
mkdir UNUSED_TARGETS || die
mv TARGETS/[0-9][0-9]* UNUSED_TARGETS || die
targets inc libfind
- use system-libschily || targets include libschily libmdigest
+ # use system-libschily || \
+ targets include libschily libmdigest
! use schilytools_bosh || targets sh libxtermcap libshedit libgetopt
! use schilytools_calc || targets calc
! use schilytools_calltree || targets calltree
@@ -409,7 +413,7 @@ src_install() {
if use schilytools_ved
then docompress -x /usr/share/man/help
fi
- if ! use system-libschily && use renameschily_libschily
+ if use renameschily_libschily # && ! use system-libschily
then for i in error fexecve fnmatch getline {,f,s}printf strlen
do mv -v -- "${ED}"/usr/share/man/man3/{,schily-}${i}.3 || die
done
diff --git a/app-text/lesspipe/lesspipe-1.83-r1.ebuild b/app-text/lesspipe/lesspipe-1.83-r1.ebuild
index 384bdc4a..36d2dfa3 100644
--- a/app-text/lesspipe/lesspipe-1.83-r1.ebuild
+++ b/app-text/lesspipe/lesspipe-1.83-r1.ebuild
@@ -20,15 +20,20 @@ case ${PV} in
KEYWORDS=""
;;
esac
+inherit required-use-warn
+pkg_pretend() {
+ required-use-warn
+}
IUSE="antiword cabextract catdoc +cpio +djvu dpkg +dvi2tty +elinks fastjar +ghostscript gpg +groff hdf5 +html2text id3v2 image isoinfo libplist +links +lynx lzip mp3info mp3info2 netcdf ooffice p7zip pdf pstotext rar rpm +rpm2targz unrar unrtf +unzip +w3m xlhtml"
htmlmode="( || ( html2text links lynx elinks w3m ) )"
REQUIRED_USE="!rpm2targz? ( rpm? ( cpio ) )
ooffice? ${htmlmode}
- xlhtml? ${htmlmode}
- amd64-fbsd? ( !antiword !catdoc !dpkg !elinks !fastjar !html2text
- !id3v2 !lzip !mp3info !mp3info2 !ooffice !p7zip !pstotext
+ xlhtml? ${htmlmode}"
+REQUIRED_USE_WARN="
+ amd64-fbsd? ( !antiword !catdoc !dpkg !elinks !fastjar !hdf5 !html2text
+ !id3v2 !lzip !mp3info !mp3info2 !netcdf !ooffice !p7zip !pstotext
!rar !rpm !unrtf !w3m !xlhtml )
alpha? ( !catdoc !fastjar !id3v2 !libplist !mp3info !mp3info2 !netcdf
!ooffice !pstotext !rar )
@@ -109,8 +114,8 @@ BOTH_DEPEND="sys-apps/file
isoinfo? ( || ( app-cdr/cdrtools app-cdr/dvd+rw-tools ) )
libplist? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( app-pda/libplist ) ) ) ) )
dpkg? ( !amd64-fbsd? ( app-arch/dpkg ) )
- hdf5? ( !hppa? ( sci-libs/hdf5 ) )
- netcdf? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( sci-libs/netcdf ) ) ) ) )"
+ hdf5? ( !amd64-fbsd? ( !hppa? ( sci-libs/hdf5 ) ) )
+ netcdf? ( !amd64-fbsd? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( sci-libs/netcdf ) ) ) ) ) )"
DEPEND="${BOTH_DEPEND}"
RDEPEND="${BOTH_DEPEND}
sys-apps/less
diff --git a/app-text/lesspipe/lesspipe-1.84_alpha20180414-r1.ebuild b/app-text/lesspipe/lesspipe-1.84_alpha20180414-r1.ebuild
index 07c66cdb..0a6ffc9a 100644
--- a/app-text/lesspipe/lesspipe-1.84_alpha20180414-r1.ebuild
+++ b/app-text/lesspipe/lesspipe-1.84_alpha20180414-r1.ebuild
@@ -25,16 +25,21 @@ case ${PV} in
SRC_URI="https://github.com/vaeth/${PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/${PN}-${EGIT_COMMIT}";;
esac
+inherit required-use-warn
+pkg_pretend() {
+ required-use-warn
+}
IUSE="antiword brotli cabextract catdoc +cpio +djvu dpkg +dvi2tty +elinks fastjar +ghostscript gpg +groff hdf5 +html2text id3v2 image isoinfo libplist +links +lynx lz4 lzip mp3info mp3info2 netcdf ooffice p7zip pdf pstotext rar rpm +rpm2targz unrar unrtf +unzip +w3m xlhtml zstd"
htmlmode="( || ( html2text links lynx elinks w3m ) )"
REQUIRED_USE="!rpm2targz? ( rpm? ( cpio ) )
ooffice? ${htmlmode}
- xlhtml? ${htmlmode}
- amd64-fbsd? ( !antiword !catdoc !dpkg !elinks !fastjar !html2text
- !id3v2 !lzip !mp3info !mp3info2 !ooffice !p7zip !pstotext
- !rar !rpm !unrtf !w3m !xlhtml )
+ xlhtml? ${htmlmode}"
+REQUIRED_USE_WARN="
+ amd64-fbsd? ( !antiword !catdoc !dpkg !elinks !fastjar !hdf5 !html2text
+ !id3v2 !lzip !mp3info !mp3info2 !netcdf !ooffice !p7zip !pstotext
+ !rar !rpm !unrtf !w3m !xlhtml !zstd )
alpha? ( !brotli !catdoc !fastjar !id3v2 !libplist !mp3info !mp3info2
!netcdf !ooffice !pstotext !rar !zstd )
arm? ( !antiword !brotli !catdoc !fastjar !html2text !id3v2 !mp3info
@@ -55,7 +60,7 @@ BOTH_DEPEND="sys-apps/file
brotli? ( !alpha? ( !arm? ( !hppa? ( !ia64? ( !ppc? ( !ppc64?
( !sparc? ( >=app-arch/brotli-1 ) ) ) ) ) ) ) )
lz4? ( app-arch/lz4 )
- zstd? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( app-arch/zstd ) ) ) ) )
+ zstd? ( !amd64-fbsd? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( app-arch/zstd ) ) ) ) ) )
unzip? ( app-arch/unzip )
fastjar? ( !amd64-fbsd? ( !alpha? ( !arm? ( !hppa? ( !ia64? ( !ppc64?
( !sparc? ( app-arch/fastjar ) ) ) ) ) ) ) )
@@ -119,8 +124,8 @@ BOTH_DEPEND="sys-apps/file
isoinfo? ( || ( app-cdr/cdrtools app-cdr/dvd+rw-tools ) )
libplist? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( app-pda/libplist ) ) ) ) )
dpkg? ( !amd64-fbsd? ( app-arch/dpkg ) )
- hdf5? ( !hppa? ( sci-libs/hdf5 ) )
- netcdf? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( sci-libs/netcdf ) ) ) ) )"
+ hdf5? ( !amd64-fbsd? ( !hppa? ( sci-libs/hdf5 ) ) )
+ netcdf? ( !amd64-fbsd? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( sci-libs/netcdf ) ) ) ) ) )"
DEPEND="${BOTH_DEPEND}"
RDEPEND="${BOTH_DEPEND}
sys-apps/less
diff --git a/app-text/lesspipe/lesspipe-99999999.ebuild b/app-text/lesspipe/lesspipe-99999999.ebuild
index 07c66cdb..0a6ffc9a 100644
--- a/app-text/lesspipe/lesspipe-99999999.ebuild
+++ b/app-text/lesspipe/lesspipe-99999999.ebuild
@@ -25,16 +25,21 @@ case ${PV} in
SRC_URI="https://github.com/vaeth/${PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/${PN}-${EGIT_COMMIT}";;
esac
+inherit required-use-warn
+pkg_pretend() {
+ required-use-warn
+}
IUSE="antiword brotli cabextract catdoc +cpio +djvu dpkg +dvi2tty +elinks fastjar +ghostscript gpg +groff hdf5 +html2text id3v2 image isoinfo libplist +links +lynx lz4 lzip mp3info mp3info2 netcdf ooffice p7zip pdf pstotext rar rpm +rpm2targz unrar unrtf +unzip +w3m xlhtml zstd"
htmlmode="( || ( html2text links lynx elinks w3m ) )"
REQUIRED_USE="!rpm2targz? ( rpm? ( cpio ) )
ooffice? ${htmlmode}
- xlhtml? ${htmlmode}
- amd64-fbsd? ( !antiword !catdoc !dpkg !elinks !fastjar !html2text
- !id3v2 !lzip !mp3info !mp3info2 !ooffice !p7zip !pstotext
- !rar !rpm !unrtf !w3m !xlhtml )
+ xlhtml? ${htmlmode}"
+REQUIRED_USE_WARN="
+ amd64-fbsd? ( !antiword !catdoc !dpkg !elinks !fastjar !hdf5 !html2text
+ !id3v2 !lzip !mp3info !mp3info2 !netcdf !ooffice !p7zip !pstotext
+ !rar !rpm !unrtf !w3m !xlhtml !zstd )
alpha? ( !brotli !catdoc !fastjar !id3v2 !libplist !mp3info !mp3info2
!netcdf !ooffice !pstotext !rar !zstd )
arm? ( !antiword !brotli !catdoc !fastjar !html2text !id3v2 !mp3info
@@ -55,7 +60,7 @@ BOTH_DEPEND="sys-apps/file
brotli? ( !alpha? ( !arm? ( !hppa? ( !ia64? ( !ppc? ( !ppc64?
( !sparc? ( >=app-arch/brotli-1 ) ) ) ) ) ) ) )
lz4? ( app-arch/lz4 )
- zstd? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( app-arch/zstd ) ) ) ) )
+ zstd? ( !amd64-fbsd? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( app-arch/zstd ) ) ) ) ) )
unzip? ( app-arch/unzip )
fastjar? ( !amd64-fbsd? ( !alpha? ( !arm? ( !hppa? ( !ia64? ( !ppc64?
( !sparc? ( app-arch/fastjar ) ) ) ) ) ) ) )
@@ -119,8 +124,8 @@ BOTH_DEPEND="sys-apps/file
isoinfo? ( || ( app-cdr/cdrtools app-cdr/dvd+rw-tools ) )
libplist? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( app-pda/libplist ) ) ) ) )
dpkg? ( !amd64-fbsd? ( app-arch/dpkg ) )
- hdf5? ( !hppa? ( sci-libs/hdf5 ) )
- netcdf? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( sci-libs/netcdf ) ) ) ) )"
+ hdf5? ( !amd64-fbsd? ( !hppa? ( sci-libs/hdf5 ) ) )
+ netcdf? ( !amd64-fbsd? ( !alpha? ( !hppa? ( !ia64? ( !sparc? ( sci-libs/netcdf ) ) ) ) ) )"
DEPEND="${BOTH_DEPEND}"
RDEPEND="${BOTH_DEPEND}
sys-apps/less
diff --git a/dev-libs/weston/metadata.xml b/dev-libs/weston/metadata.xml
index 54c40413..661f699a 100644
--- a/dev-libs/weston/metadata.xml
+++ b/dev-libs/weston/metadata.xml
@@ -16,7 +16,6 @@
<flag name="launch">Install weston-launch utility</flag>
<flag name="rdp">Enable Remote Desktop Protocol compositor support</flag>
<flag name="resize-optimization">Increase performance, allocate more RAM. Recommended to disable on Raspberry Pi</flag>
- <flag name="rpi">Raspberry Pi GPU support</flag>
<flag name="screen-sharing">Enable screen-sharing through RDP</flag>
<flag name="unwind">Enable libunwind usage for backtraces</flag>
<flag name="wayland-compositor">Enable Wayland compositor support</flag>
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 69063c6f..e97c67cf 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -82,3 +82,6 @@
07 May 2018; Martin Väth <martin@mvath.de>:
monotone.eclass, mv_mozextension-r1.eclass: Support EAPI=7
+
+ 14 May 2018; Martin Väth <martin@mvath.de>:
+ rquired-use-warn.eclass: new eclass
diff --git a/eclass/required-use-warn.eclass b/eclass/required-use-warn.eclass
new file mode 100644
index 00000000..b126c404
--- /dev/null
+++ b/eclass/required-use-warn.eclass
@@ -0,0 +1,109 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+# @ECLASS: required-use-warn.eclass
+# @MAINTAINER:
+# Martin Väth <martin@mvath.de>
+# @BLURB: This eclass support REQUIRED_USE_WARN
+# @DESCRIPTION:
+# The eclass provides support for REQUIRED_USE_WARN.
+# REQUIRED_USE_WARN is similar to REQUIRED_USE except that only warnings are
+# are printed if a condition is violated.
+# The only supported conditions are of the type
+# FLAG
+# !FLAG
+# A? ( B C ... )
+# where each of A B C ... are of some of the 3 types.
+# @EXAMPLE:
+# To warn that USE=bazola is ignored (if USE="foo -bar bazola" is active)
+# and that USE=BAR is implicitly enabled (if USE="FOO -BAR" is active) use:
+# @CODE
+# inherit required-use-warn
+#
+# REQUIRED_USE_WARN="foo? ( !bar? ( !bazola ) ) !FOO? ( BAR )
+# pkg_pretend() {
+# required-use-warn
+# }
+
+# @FUNCTION: required-use-warn_internal
+# @USAGE: string
+# @INTERNAL
+# @DESCRIPTION:
+# Print warnings according to the passed normalized string.
+# Normalized means only spaces, none superfluous
+required-use-warn_internal() {
+ local first curr cond negate satisfied rest second open pass brace
+ [ -n "${1}" ] || return 0
+ first=${1%%' '*}
+ if [ "${first}" = "${1}" ]; then
+ rest=
+ else
+ rest=${1#*' '}
+ fi
+ cond=${first#'!'}
+ [ "${cond}" = "${first}" ] && negate=false || negate=:
+ curr=${cond%'?'}
+ [ "${curr}" = "${cond}" ] && cond=false || cond=:
+ satisfied=false
+ if use "${curr}"; then
+ ${negate} || satisfied=:
+ else
+ ! ${negate} || satisfied=:
+ fi
+ if ! $cond; then
+ if ! ${satisfied}; then
+ if ${negate}; then
+ ewarn "Ignoring USE=${curr} for ${CATEGORY}/${PN}"
+ else
+ ewarn "Implicitly enabling USE=${curr} for ${CATEGORY}/${PN}"
+ fi
+ fi
+ required-use-warn_internal "${rest}"
+ return 0
+ fi
+ second=${rest#'( '}
+ [ "${second}" != "${rest}" ] || die "no opening brace after ${first}"
+ rest=${second}
+ pass=
+ open=1
+ while :; do
+ second=${rest%%' '[()]*}
+ [ "${second}" != "${rest}" ] || die "wrong bracing after ${first}"
+ pass=${pass}${second}
+ brace=${rest#"${second}"}
+ rest=${brace#' '?}
+ case ${brace} in
+ ' ('*)
+ pass=${pass}' ('
+ : $(( ++open ));;
+ ' )'*)
+ : $(( --open ))
+ [ $open -eq 0 ] && break
+ pass=${pass}' )'
+ esac
+ done
+ ! ${satisfied} || required-use-warn_internal "${pass}"
+ rest=${rest#' '}
+ required-use-warn_internal "${rest}"
+}
+
+# @FUNCTION: required-use-warn
+# @USAGE: [string]
+# @INTERNAL
+# @DESCRIPTION:
+# Print warnings according to the passed string (default is REQUIRED_USE_WARN)
+required-use-warn() {
+ local normalized i
+ if [ ${#} -eq 0 ]; then
+ normalized=${REQUIRED_USE_WARN}
+ else
+ normalized=${1}
+ fi
+ normalized=${normalized//[[:space:]]/' '}
+ while i=${normalized//' '/' '} && [ "${i}" != "${normalized}" ]; do
+ normalized=${i}
+ done
+ normalized=${normalized%' '}
+ normalized=${normalized#' '}
+ required-use-warn_internal "${normalized}"
+}
diff --git a/games-puzzle/fish-fillets/fish-fillets-1.0.1-r1.ebuild b/games-puzzle/fish-fillets/fish-fillets-1.0.1-r1.ebuild
index 3e1eb588..aa6eddda 100644
--- a/games-puzzle/fish-fillets/fish-fillets-1.0.1-r1.ebuild
+++ b/games-puzzle/fish-fillets/fish-fillets-1.0.1-r1.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit autotools desktop
DATA_PV="1.0.0"
diff --git a/media-tv/sundtek-tv/sundtek-tv-180507.101237.ebuild b/media-tv/sundtek-tv/sundtek-tv-180507.101237.ebuild
index f278ebd1..1f2580b9 100644
--- a/media-tv/sundtek-tv/sundtek-tv-180507.101237.ebuild
+++ b/media-tv/sundtek-tv/sundtek-tv-180507.101237.ebuild
@@ -15,7 +15,7 @@ SRC_URI="http://www.sundtek.de/media/sundtek_installer_${PV}.sh"
RESTRICT="binchecks mirror strip"
LICENSE="sundtek"
SLOT="0"
-KEYWORDS="-* ~amd64 ~x86"
+KEYWORDS="~amd64 ~x86"
IUSE="ld-preload-env +ld-preload-file pax_kernel"
RDEPEND="!<sys-apps/openrc-0.13"
DEPEND="pax_kernel? ( || ( sys-apps/elfix sys-apps/paxctl ) )"
diff --git a/net-dialup/martian-modem/martian-modem-20100123-r2.ebuild b/net-dialup/martian-modem/martian-modem-20100123-r2.ebuild
index 7358a8e8..7a179eeb 100644
--- a/net-dialup/martian-modem/martian-modem-20100123-r2.ebuild
+++ b/net-dialup/martian-modem/martian-modem-20100123-r2.ebuild
@@ -12,7 +12,7 @@ HOMEPAGE="https://packages.debian.org/sid/martian-modem-source http://phep2.tech
SRC_URI="http://linmodems.technion.ac.il/packages/ltmodem/kernel-2.6/martian/${MY_P}.tar.gz"
LICENSE="GPL-2 AgereSystems-WinModem"
-KEYWORDS="~amd64 ~x86 -*"
+KEYWORDS="~amd64 ~x86"
IUSE=""
SLOT=0
diff --git a/profiles/package.mask b/profiles/package.mask
index fac1aebb..dc5593cf 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -3,23 +3,17 @@
# It does not yet compile.
=app-accessibility/gespeaker-0.8.6_p0
+# Martin Väth <martin@mvath.de> (14 May 2018)
+# Sources no longer available. Probably long outdated.
+=app-admin/flexlm-9.5
+
# Martin Väth <martin@mvath.de> (09 Apr 2018)
-# There is nothing wrong with dev-util/pyrep, but I hope that this mask will
+# There is nothing wrong with dev-util/pyrep, but hopefully this mask will
# make people aware about the successor project dev-util/replacer which is
# probably better in almost any aspect. In addition, dev-util/pyrep is almost
-# unmaintained (and really old ugly code). Anyway, feel free to numask...
+# unmaintained (and really old ugly code). Anyway, feel free to unmask...
dev-util/pyrep
-# Martin Väth <martin@mvath.de> (12 Mar 2016)
-# No version of magus compiles with current libsigc++ and gcc:5
-# It needs severe upstream patches, but upstream is long dead.
-games-rpg/magus
-
-# Martin Väth <martin@mvath.de> (12 Jan 2016)
-# This version is masked, since most users probably cannot obtain the tarball.
-# Upstream is dead.
-~games-rpg/magus-1.3.3
-
# Martin Väth <martin@mvath.de> (03 Jan 2016)
# net-dns/noip-updater does not use https for transferring user sensitive data,
# see e.g. https://bugs.gentoo.org/show_bug.cgi?id=261194
diff --git a/profiles/use.desc b/profiles/use.desc
index 8aafb84c..1b8b6ced 100644
--- a/profiles/use.desc
+++ b/profiles/use.desc
@@ -1,7 +1,5 @@
browser_firefox - Install extension for www-client/firefox
browser_firefox-bin - Install extension for the www-client/firefox-bin
-browser_palemoon - Install extension for www-client/palemoon
-browser_palemoon-bin - Install extension for the www-client/palemoon-bin
browser_seamonkey - Install extension for the www-client/seamonkey
browser_seamonkey-bin - Install extension for the www-client/seamonkey-bin
compressed - Install extension as a compressed .xpi
diff --git a/profiles/use.local.desc b/profiles/use.local.desc
index 7b4bf4e6..b096dec9 100644
--- a/profiles/use.local.desc
+++ b/profiles/use.local.desc
@@ -135,7 +135,6 @@ dev-libs/weston:ivi - Enable the IVI shell
dev-libs/weston:launch - Install weston-launch utility
dev-libs/weston:rdp - Enable Remote Desktop Protocol compositor support
dev-libs/weston:resize-optimization - Increase performance, allocate more RAM. Recommended to disable on Raspberry Pi
-dev-libs/weston:rpi - Raspberry Pi GPU support
dev-libs/weston:screen-sharing - Enable screen-sharing through RDP
dev-libs/weston:unwind - Enable libunwind usage for backtraces
dev-libs/weston:wayland-compositor - Enable Wayland compositor support
diff --git a/profiles/use.mask b/profiles/use.mask
new file mode 100644
index 00000000..e0868689
--- /dev/null
+++ b/profiles/use.mask
@@ -0,0 +1,3 @@
+# Martin Väth <martin@mvath.de> (14 May 2018)
+# Mask until slotted lua gets unmasked:
+lua-slotted